#
# Conditional build:
%bcond_with	metis		# build with partition support (using metis lib)
#
Summary:	CHOLMOD: sparse supernodal Cholesky factorization and update/downdate
Summary(pl.UTF-8):	CHOLMOD - rzadki wielowęzłowy rozkład Cholesky'ego z poprawianiem
Name:		CHOLMOD
Version:	3.0.1
Release:	2
License:	GPL v2+ (some parts LGPL v2.1+)
Group:		Libraries
Source0:	http://www.cise.ufl.edu/research/sparse/cholmod/%{name}-%{version}.tar.gz
# Source0-md5:	677c2fac5bf480c125801ced2f51f9fe
Patch0:		%{name}-ufconfig.patch
Patch1:		%{name}-shared.patch
# http://www.cise.ufl.edu/research/sparse/cholmod/metis.patch (for METIS 5)
Patch2:		%{name}-metis.patch
URL:		http://www.cise.ufl.edu/research/sparse/cholmod/
BuildRequires:	AMD-devel >= 2.4.0
BuildRequires:	CAMD-devel >= 2.4.0
BuildRequires:	CCOLAMD-devel >= 2.9.0
BuildRequires:	COLAMD-devel >= 2.9.0
BuildRequires:	SuiteSparse_config-devel >= 4.3.0
BuildRequires:	blas-devel
BuildRequires:	gcc-fortran
BuildRequires:	lapack-devel
BuildRequires:	libtool >= 2:1.5
%if %{with metis}
BuildRequires:	metis-devel >= 5
%endif
Requires:	AMD >= 2.4.0
Requires:	CAMD >= 2.4.0
Requires:	CCOLAMD >= 2.9.0
Requires:	COLAMD >= 2.9.0
Requires:	SuiteSparse_config-libs >= 4.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CHOLMOD is a set of ANSI C routines for sparse Cholesky
factorization and update/downdate.

%description -l pl.UTF-8
CHOLMOD to zbiór procedur ANSI C do rzadkiego rozkładu Cholesky'ego z
poprawianiem.

%package devel
Summary:	Header files for CHOLMOD library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki CHOLMOD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	AMD-devel >= 2.4.0
Requires:	CAMD-devel >= 2.4.0
Requires:	CCOLAMD-devel >= 2.9.0
Requires:	COLAMD-devel >= 2.9.0
Requires:	SuiteSparse_config-devel >= 4.3.0

%description devel
Header files for CHOLMOD library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki CHOLMOD.

%package static
Summary:	Static CHOLMOD library
Summary(pl.UTF-8):	Statyczna biblioteka CHOLMOD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static CHOLMOD library.

%description static -l pl.UTF-8
Statyczna biblioteka CHOLMOD.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	%{!?with_metis:CHOLMOD_CONFIG=-DNPARTITION} \
	%{?with_metis:WITH_METIS=1} \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	libdir=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/cholmod

%{__make} -C Lib install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

install Include/*.h $RPM_BUILD_ROOT%{_includedir}/cholmod

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.txt Doc/ChangeLog
%attr(755,root,root) %{_libdir}/libcholmod.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcholmod.so.0

%files devel
%defattr(644,root,root,755)
%doc Doc/UserGuide.pdf
%attr(755,root,root) %{_libdir}/libcholmod.so
%{_libdir}/libcholmod.la
%{_includedir}/cholmod

%files static
%defattr(644,root,root,755)
%{_libdir}/libcholmod.a
%changelog
* Thu Mar 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/CHOLMOD.git;a=log;h=auto/th/CHOLMOD-3.0.1-2

* Thu Mar 12 2015 Jan Rękorajski <baggins@pld-linux.org> 13950f1
- release 2 (by relup.sh)

* Thu Oct 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 464ef1e
- updated to 3.0.1
- updated shared patch

* Mon Mar 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 901e958
- updated to 2.1.2

* Fri Apr 26 2013 Jakub Bogusz <qboosh@pld-linux.org> d1ac72a
- adjusted spec and shared patch for NPARTITION (no metis) build
- require SuiteSparse_config 4.2.0 (SuiteSparse_version required)

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 15cc76d
- updated to 2.1.1
- updated ufconfig,shared patches

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 8461b04
- updated to 2.1.0
- fixed build without metis/partition support

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> ccb8096
- updated to 2.0.1
- updated ufconfig,shared patches

* Wed Jun 27 2012 Jakub Bogusz <qboosh@pld-linux.org> fe7d741
- updated to 2.0.0; switched to SuiteSparse_config
- updated ufconfig,shared,metis patches

* Sun Jun 10 2012 blekot <blekot@pld-linux.org> 1a68edf
- BR: gcc-fortran
- build without metis requires: CAMD-devel and CCOLAMD-devel (.la files from this packages)
- builds with CCOLAMD-devel >= 2.7.3

* Thu Jan 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 9f39e7e
- updated to 1.7.4
- updated shared patch
- added metis patch to use metis 5.0.x

* Thu Jan 27 2011 Jakub Bogusz <qboosh@pld-linux.org> 3f13a54
- updated to 1.7.3

* Fri May 01 2009 duddits <duddits@pld-linux.org> 8421d11
- up to 1.7.1

* Wed Jan 14 2009 duddits <duddits@pld-linux.org> cc98ff8
- up to 1.7.0

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> add7be1
- fixed shared patch, -fPIC hack no longer needed

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 57018fa
- use *.lo to link the library

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 6287853
- some parts are GPLed
- added ChangeLog to doc, UserGuide moved to -devel
- ghost soname symlink

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> b372aae
- pl, sorted BRs

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> d2a3d87
- use system include paths

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> f6ba16c
- consistent library name in summary/description

* Fri Dec 07 2007 Jan Rękorajski <baggins@pld-linux.org> 668f011
- use private include dir

